# Makefile 
MAGIC	= /etc/ezfmMagic
CC	= cc
CFLAGS	=  	

SRCS = file.c apprentice.c fsmagic.c softmagic.c ascmagic.c print.c hack.c
OBJS = $(SRCS:.c=.o)

all: libfile.a

libfile.a: $(OBJS)
	ar r libfile.a $(OBJS)

File: main.c libfile.a
	$(CC) -o File main.c libfile.a

clean:
		rm -f *.o core File

.c.o:
	$(CC) $(CFLAGS) -c  $<

#--end--
